Bug 819940 - Cannot mount NFS Version 3 after RPCBIND restart
Cannot mount NFS Version 3 after RPCBIND restart
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpcbind (Show other bugs)
6.4
i386 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 12:35 EDT by Jay Vasa
Modified: 2012-07-28 09:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-28 09:02:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Vasa 2012-05-08 12:35:44 EDT
Description of problem:

When service "nfsd" and "rpcbind" is running, and I do a restart of "rpcbind", nfs clients mounting nfs version 3 shares are given the message:
"mount.nfs: requested NFS version or transport protocol is not supported"


Version-Release number of selected component (if applicable):

nfs-utils-1.2.3-15.el6.i686


How reproducible:

Just restart rpcbind when nfsd service is running

Steps to Reproduce:
1. service rpcbind start; service nfs start
2. service rpcbind restart
3. on client: mount -t nfs -o nfsvers=3 server:/mountpoint /mnt/mnt

  
Actual results:
Client says:
"mount.nfs: requested NFS version or transport protocol is not supported"


Expected results:
Should be able to mount

Additional info:

Work around is to restart nfsd after rpcbind is restarted.
So after restarting rpcbind, I have to do the command:
% service nfs restart
(this shouldn't have to happen)
Comment 2 RHEL Product and Program Management 2012-05-12 00:13:40 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Steve Dickson 2012-05-21 09:39:45 EDT
> Expected results:
> Should be able to mount
> 
> Additional info:
> 
> Work around is to restart nfsd after rpcbind is restarted.
> So after restarting rpcbind, I have to do the command:
> % service nfs restart
> (this shouldn't have to happen)
Why? How are the rpc.mountd and rpc.statd daemons suppose to know to
re-register their port with rpcbind after the restart?

Note You need to log in before you can comment on or make changes to this bug.